# EMU inertial localizer fault definitions
# Highly Confidential and Proprietary Zoox Information. Copyright (c) Zoox.
component: InertialLocalizer
source_enum: kEmuInertialLocalizer
namespace: zoox
faults:
  - id: 0
    name: AiInertialInfoStale
    severity: WARNING
    deprecated: true
    description: IPC Message is stale
  - id: 1
    name: DriveFeedbackStale
    severity: WARNING
    deprecated: true
    description: IPC Message is stale
  - id: 2
    name: ImuDataStale
    severity: WARNING
    deprecated: true
    description: IPC Message is stale
  - id: 3
    name: UnknownIpcError
    severity: WARNING
    deprecated: true
    description: Unknown IPC Message error
  - id: 4
    name: AddImuBiasMeasurementError
    severity: WARNING
    deprecated: true
    description: Adding IMU bias measurement returns error
  - id: 5
    name: AddVelocityWheelScaleMeasurementError
    severity: WARNING
    deprecated: true
    description: Adding velocity or wheel scale measurement returns error
  - id: 6
    name: AddRollPitchMeasurementError
    severity: WARNING
    deprecated: true
    description: Adding roll/pitch measurement returns error
  - id: 7
    name: AddWheelSpeedMeasurementError
    severity: WARNING
    deprecated: true
    description: Adding wheel speed measurement returns error
  - id: 8
    name: AddSteeringAngleMeasurementError
    severity: WARNING
    deprecated: true
    description: Adding steering angle measurement returns error
  - id: 9
    name: AddImuMeasurementError
    severity: WARNING
    deprecated: true
    description: Adding IMU measurement returns error
  - id: 10
    name: SolverError
    severity: WARNING
    deprecated: true
    description: Solver returns error
  - id: 11
    name: ImuUdpDataReceiveError
    severity: WARNING
    deprecated: true
    description: IMU UDP data receiver returns error
